import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;
import static java.lang.Math.*;

class ce3vp extends JApplet 
{ 
	public ce3vp(f_x f,double xm,double xma,int N,int ipt,int ir,int ig,int ib,String s) 
	{int pt[]=new int[1];
	 pt[0]=ipt;
	 Color pc[]=new Color[1];
	 pc[0]=new Color(ir,ig,ib);
	vplot pp=new vplot(pt,pc,f,xm,xma,N);
	pp.setPlabel("f(x)="+s);
	pp.plot();	
	}
	public ce3vp(f_x f,double xm,double xma,int N,int ipt,String s) 
	{int pt[]=new int[1];
	 pt[0]=ipt;
	 Color pc[]=new Color[1];
	 pc[0]=new Color(0,0,0);
	vplot pp=new vplot(pt,pc,f,xm,xma,N);
	pp.setPlabel("f(x)="+s);
	pp.plot();	
	}
	public ce3vp(f_x f,double xm,double xma,int N,String s) 
	{int pt[]=new int[1];
	 pt[0]=0;
	 Color pc[]=new Color[1];
	 pc[0]=new Color(0,0,0);
	vplot pp=new vplot(pt,pc,f,xm,xma,N);
	pp.setPlabel("f(x)="+s);
	pp.plot();	
	}
	public ce3vp(double xm,double xma,int N,String s) 
	{int pt[]=new int[1];
	 pt[0]=0;
	 Color pc[]=new Color[1];
	 pc[0]=new Color(0,0,0);
	vplot pp=new vplot(pt,pc,new f2D(),xm,xma,N);
	pp.setPlabel("f(x)="+s);
	pp.plot();	
	}
	public ce3vp(f_x f,double xm,double xma,int N) 
	{int pt[]=new int[1];
	 pt[0]=0;
	 Color pc[]=new Color[1];
	 pc[0]=new Color(0,0,0);
	vplot pp=new vplot(pt,pc,f,xm,xma,N);
	pp.setPlabel("f(x)=");
	pp.plot();	
	}
	public ce3vp(double xm,double xma,int N) 
	{int pt[]=new int[1];
	 pt[0]=0;
	 Color pc[]=new Color[1];
	 pc[0]=new Color(0,0,0);
	vplot pp=new vplot(pt,pc,new f2D(),xm,xma,N);
	pp.setPlabel("f(x)=");
	pp.plot();	
	}
	public ce3vp(double xi[],double yi[],int ipt,int ir,int ig,int ib,String s) 
	{int pt[]=new int[1];
	 pt[0]=ipt;
	 Color pc[]=new Color[1];
	 pc[0]=new Color(ir,ig,ib);
	 double xx[][]=new double[1][xi.length];
	 double yy[][]=new double[1][xi.length];
	 xx[0]=xi;
	 yy[0]=yi;
	 vplot p1=new vplot(pt,pc,xx,yy);
	 p1.setPlabel("f(x)="+s);
	 p1.plot();	
	}
	
    public ce3vp(double xm,double xma,int N,int ipt,int ir,int ig,int ib,String s) 
	{int pt[]=new int[1];
	 pt[0]=ipt;
	 Color pc[]=new Color[1];
	 pc[0]=new Color(ir,ig,ib);
	vplot pp=new vplot(pt,pc,new f2D(),xm,xma,N);
	pp.setPlabel("f(x)="+s);
	pp.plot();	
	}
	 
	  public static void main(String arg[])
	  {double a=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun alt sınırını giriniz x_minimum  : "));
       double b=Double.parseDouble(JOptionPane.showInputDialog(" Fonksiyonun üst sınırını giriniz x_maksimum : "));
	   ce3vp xx=new ce3vp(new f2D(),a,b,100,0,0,0,0,"x");}
 }
